summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-11-25 19:44:38 +0000
committer Eric Hameleers <alien@slackware.com>2023-11-25 20:59:35 +0100
commitd39761cf9b4205e07a9f5f0f3540281299175c12 (patch)
tree16e17949ed0a60dd89747f18c00679cd5d3c5f31 /source/x
parent616339b7f26fafbbbcfd9f5e6282d1bce89e0f2a (diff)
downloadcurrent-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.gz
current-d39761cf9b4205e07a9f5f0f3540281299175c12.tar.xz
Sat Nov 25 19:44:38 UTC 202320231125194438
a/shadow-4.14.2-x86_64-2.txz: Rebuilt. adduser: fixed chown syntax to silence warnings. Thanks to Stuart Winter. l/gi-docgen-2023.3-x86_64-1.txz: Added. Thanks to Heinz Wiesinger. l/python-smartypants-2.0.1-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-toml-0.10.2-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. l/python-typogrify-2.0.7-x86_64-1.txz: Added. Needed for gi-docgen. Thanks to Heinz Wiesinger. x/xdg-desktop-portal-1.18.2-x86_64-1.txz: Upgraded. Thanks to 0XBF. testing/packages/php-8.3.0-x86_64-1.txz: Added.
Diffstat (limited to 'source/x')
-rwxr-xr-xsource/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild48
1 files changed, 23 insertions, 25 deletions
diff --git a/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
index b95dfb407..db782ccbf 100755
--- a/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
+++ b/source/x/xdg-desktop-portal/xdg-desktop-portal.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2018 Vincent Batts <vbatts@hashbangbash.com>
-# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2021, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -87,33 +87,31 @@ find . \
-exec chmod 644 {} \+
# Configure, build, and install:
-if [ ! -r configure ]; then
- if [ -x ./autogen.sh ]; then
- NOCONFIGURE=1 ./autogen.sh
- else
- autoreconf -vif
- fi
-fi
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --mandir=/usr/man \
- --infodir=/usr/info \
- --disable-static \
- --disable-libportal \
- --disable-geoclue \
- --with-systemd=no \
- --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dlibportal=disabled \
+ -Dflatpak-interfaces=disabled \
+ -Dgeoclue=disabled \
+ -Dsystemd=disabled \
+ -Dsandboxed-image-validation=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null